<?php

if(isset($_POST['generarBanco'])){
  //----------------VARIABLES PARA LA CABECERA------------------------//

  //--Se define el periodo que se esta trabajando
  $periodo = $_POST['periodo'];
  $periodo = explode(' ',$periodo);
  $desde = date('Y-m-d',strtotime($periodo[0]));
  $hasta = date('Y-m-d',strtotime($periodo[1]));
	$desperiodo = $desde." al ".$hasta;
	$tipo_nomina_post = $_POST['tipo_nomina'];

	//Declaración de variables
	$anio_actual = date('y'); //Año actual


	// A partir del tipo de nomina, se declara un autoincrementable
	$tipo_nomina_ford = null;
  $n_alterno = null; //No revisado
  if($tipo_nomina_post == '100'){
      $tipo_nomina_ford = 2;


      $n_alterno = 21; //No revisado

  }else if($_POST['tipo_nomina']=='200'){
      $tipo_nomina_ford = 1;



      $n_alterno = 11; //No revisado
  }




















  //------------------------------//
  //-----Se declara variables para uso despues

  //-------Año actual
  //$year = date('y');
  $type = null;
  //---Si la nomina es normal, de contingencia o de fideicomiso, el tipo es 1
  if($_POST['nomina'] == 'nomina_contingencia' || $_POST['nomina'] == 'nomina_normal' ){
      $type = 1;
  }else if( $_POST['nomina'] == 'nomina_fideicomiso'){
      $type = 5;
  }
  //--- Se declara la fecha y a partir de alli se busca el ultimo dia vigente
  $semanainicio = date("W",strtotime($desde))+2;
  $semanafin = date("W",strtotime($hasta))+2;


  //---- Fecha actual acomodada para txt
  $dateNow = date('Y-m-d');
  $dateNow = explode("-",$dateNow);
  $dateNow = $dateNow[0]."".$dateNow[1]."".$dateNow[2];


  //Se cuadran las fecha y se buscan los dias habiles para tomar el ultimo que servira como pago
  $desdeI = strtotime($desde);
  $hastaF = strtotime($hasta);
  // echo $desdeI."<br>";
  // echo $hastaF."<br>";
  $diainc = 24*60*60;
  $diashabiles = [];
  for ($midia = $desdeI; $midia <= $hastaF; $midia += $diainc) {
          if (!in_array(date('N', $midia), array(6,7))) {
              array_push($diashabiles, date('Y-m-d', $midia));
          }
  }

  $fecha_tramite = [];
  // var_dump($diashabiles);
  $tipo_nomina = null;
  // A partir del tipo de contingencia, se toma la fecha y se le agrega los dias que serviran para el pago a efectuar



  // echo $fecha_tramite;
  // Recolecto el listado de cedulas correspondientes al periodo vigente
  $query = "SELECT DISTINCT cedula FROM `historico` WHERE id='".$_SESSION['id_validar']."' AND desperiodo ='$desperiodo' AND nomina = '$tipo_nomina_post'";
  $resultado = mysql_query($query);
  $cedulas = [];
  while($datesCodes = mysql_fetch_array($resultado)){
      $cedulas[] = $datesCodes['cedula'];
  }
  $sum = null;
  $res = null;

  // Se realiza la sumatoria total del monto de los empleados en general
  foreach ($cedulas as $c) {
      $query2 = "SELECT SUM(monto) as monto FROM `historico` WHERE cedula = '$c' AND tipo = 'A'";
      $resultado = mysql_query($query2);
      while ($sumatoria = mysql_fetch_array($resultado)) {
          $sum += $sumatoria['monto'];
      }
  }
  foreach ($cedulas as $c) {
      $query2 = "SELECT SUM(monto) as monto FROM `historico` WHERE cedula = '$c' AND tipo = 'D'";
      $resultado = mysql_query($query2);
      while ($sumatoria = mysql_fetch_array($resultado)) {
          $res += $sumatoria['monto'];
      }
  }
  $monto_a_pagar = $sum-$res;
  $monto_a_pagar = intval($monto_a_pagar);


  //-------------CREACIÓN DE EL ARCHIVO DE CONTINGENCIA //////////

  if($_POST['nomina'] == 'nomina_contingencia'){

    $tipo_nomina = "CONTING0";
    $zipNombre = 'nominasCont.zip';
    $zip = new ZipArchive();
    $zip->open($zipNombre, ZipArchive::CREATE);

    $contador = 1;
    $autoIncremental=3;
    for($i=0 ; $i < 3 ; $i++){

        //Construyo la fecha a pagar la nomina para los 3 archivos
        switch ($i) {
            case 0:
                $fecha_pagar_nomina = date('Y-m-d',strtotime($hasta."+ 1 week"));
                $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."+ 5 days"));
                break;
            case 1:
                $fecha_pagar_nomina = date('Y-m-d',strtotime($hasta."+ 2 week"));
                $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."+ 5 days"));
                break;
            case 2:
                $fecha_pagar_nomina = date('Y-m-d',strtotime($hasta."+ 3 week"));
                $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."+ 5 days"));
                break;
        }

        //Consulto los festivos existentes
        $queryFestivos = "SELECT `fecha` FROM tab_feriado";
        $resultFestivos = mysql_query($queryFestivos);
        $arrayFestivos = [];

        //Construyo array con los festivos existentes
        while($datosFestivos = mysql_fetch_array($resultFestivos)){
            $datoFestivo = date('m-d',strtotime($datosFestivos['fecha']));
            $arrayFestivos[] = $datoFestivo;
        }

        //Verifico si la fecha a pagar es festivo
        for($iFes=0;$iFes < count($arrayFestivos);$iFes++){
            $verificar_festivo = date('m-d',strtotime($fecha_pagar_nomina));
            if($verificar_festivo == $arrayFestivos[$iFes]){
                $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."- 1 days"));
                $iFes=0;
            }
        }

        //Se le quita los guiones
        $fecha_pagar_nomina_array = explode("-",$fecha_pagar_nomina);

        //Unir todos los datos para imprimir
        $fecha_pagar_nomina = $fecha_pagar_nomina_array[0]."".$fecha_pagar_nomina_array[1]."".$fecha_pagar_nomina_array[2];

        $nombre_archivo = "nomina_semana".$semanainicio."_".$autoIncremental.".txt";
        $file = fopen($nombre_archivo,"w+");


        //----------------------------HEADER--------------//
        fwrite($file,"HDR");
        fwrite($file,"UNIOVECA       ED  95BPAYMULP");
        fwrite($file,"\n");
        fwrite($file,"01");
        fwrite($file,$tipo_nomina);
        fwrite($file,$n);
        fwrite($file,$year);
        fwrite($file,$type);
        fwrite($file,$autoIncremental); // Aquí va el auto incremento
        fwrite($file,$semanainicio);
        fwrite($file,"9");
        fwrite($file,"  ");
        fwrite($file,$dateNow);
        fwrite($file,"SALJ000148643");
        fwrite($file,"       FORD MOTOR VENEZUELA S.A.");
        fwrite($file,"\n");
        fwrite($file,"02");
        fwrite($file,$fecha_pagar_nomina);
        fwrite($file,"0".$n);
        fwrite($file,$year);
        fwrite($file,$type);
        fwrite($file,$autoIncremental);
        $autoIncremental = $autoIncremental -1;
        fwrite($file,$semanainicio);
        $semanainicio= $semanainicio + 1;
        fwrite($file,"               ");
        $sumaMontoTotal = 0;

        foreach ($cedulas as $c){
            //-----MONTO TIPO A
            $queryA = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'A' AND concepto != '5008' and concepto != '5009'";
            $resultadoA = mysql_query($queryA);

            while ( $sumatoriaA = mysql_fetch_array($resultadoA)) {
                $empleadoA = $sumatoriaA['monto'];
            }
            //-----MONTO TIPO D
            $queryD = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'D' AND concepto != '6000' and concepto != '6001'";
            $resultadoD = mysql_query($queryD);

            while ($sumatoriaD = mysql_fetch_array($resultadoD)) {
                $empleadoD = $sumatoriaD['monto'];
            }

            $montoEmpleado =  $empleadoA - $empleadoD;
            $montoEmpleado = number_format($montoEmpleado, 2);
            $montoEmpleado =  str_replace(',','',$montoEmpleado);
            $montoEmpleado =  str_replace('.','',$montoEmpleado);
            $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
        }
        $num_sumaMontoTotal = strlen($sumaMontoTotal);
        while($num_sumaMontoTotal<17){
            fwrite($file,"0");
            $num_sumaMontoTotal++;
        }
        fwrite($file,$sumaMontoTotal);
        fwrite($file,"VES");
        fwrite($file,"01340968419683001284               UNIOVECA");
        fwrite($file,"\n");
        $sumaMontoTotal = 0;

        // ordenar por ultimmo
        //--------------------------------------------------//
        //-------------------------BODY----------------------//
        foreach ($cedulas as $c) {
            fwrite($file,"03");
            fwrite($file,"9  ");

            //-----MONTO TIPO A
            $queryA = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'A' AND concepto != '5008' and concepto != '5009'";
            $resultadoA = mysql_query($queryA);

            while ( $sumatoriaA = mysql_fetch_array($resultadoA)) {
                $empleadoA = $sumatoriaA['monto'];
            }
            //-----MONTO TIPO D
            $queryD = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'D' AND concepto != '6000' and concepto != '6001'";
            $resultadoD = mysql_query($queryD);

            while ($sumatoriaD = mysql_fetch_array($resultadoD)) {
                $empleadoD = $sumatoriaD['monto'];
            }

            $montoEmpleado =  $empleadoA - $empleadoD;
            $montoEmpleado = number_format($montoEmpleado, 2);
            $montoEmpleado =  str_replace(',','',$montoEmpleado);
            $montoEmpleado =  str_replace('.','',$montoEmpleado);
            $num_montoEmpleado = strlen($montoEmpleado);
            while($num_montoEmpleado<17){
                fwrite($file,"0");
                $num_montoEmpleado++;
            }
            fwrite($file,$montoEmpleado);
            fwrite($file,"VES01");
            fwrite($file,$n_alterno);
            $query3 = "SELECT * FROM `personal` WHERE codigo = '$c'";
            $resultado = mysql_query($query3);
            $datos_empleado = mysql_fetch_array($resultado);
            fwrite($file,substr($datos_empleado['global_id'],-4));
            fwrite($file,"          ");
            fwrite($file,"42    ");
            fwrite($file,$datos_empleado['cuenta']);
            fwrite($file,"               UNIOVECA         ");
            fwrite($file,$datos_empleado['nacionalidad']);
            fwrite($file,"00".$datos_empleado['codigo']);
            fwrite($file,"                                                                                                               ");
            if($datos_empleado['apellidos1'] == null){
                fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
            }else{
                fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['apellidos1']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
            }
            fwrite($file,"\n");
            $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
        }

        //---------------------------------------------------//
        //-------------FOOTER--------------------------------//
        fwrite($file,"06");
        fwrite($file,"000000000000001");
        $num_cedulas = strlen(count($cedulas));
        while($num_cedulas<15){
            fwrite($file,"0");
            $num_cedulas++;
        }
        fwrite($file,count($cedulas));
        $num_sumaMontoTotal = strlen($sumaMontoTotal);
        while($num_sumaMontoTotal<17){
            fwrite($file,"0");
            $num_sumaMontoTotal++;
        }
        fwrite($file,$sumaMontoTotal);
        //---------------------------------------------------//
        fclose($file);

        $contador++;

        $zip->addFile($nombre_archivo);


    }


    $zip->close();



    echo "<style>
    .regristrado{
        color: green;
        margin-left: 7%;
        font-weight: bold;
    }
    </style>";
    echo "<p class='regristrado'>Archivo guardado correctamente<p>";

    echo "<script>
        window.location.href = 'generar_txt.php?fileBankZip=$zipNombre';
        </script>";


























  }else if ($_POST['nomina'] == 'nomina_normal'){

    //-------------CREACIÓN DE EL ARCHIVO  DE NORMAL /////////
		// Recolecto el listado de cedulas correspondientes al periodo vigente
	  $query = "SELECT DISTINCT cedula FROM `historico` WHERE id='".$_SESSION['id_validar']."' AND desperiodo ='$desperiodo' AND nomina = '$tipo_nomina_post'";
	  $resultado = mysql_query($query);

	  $empleados = [];
	  while($datesCodes = mysql_fetch_array($resultado)){
	      $empleados[] = $datesCodes['cedula'];
	  }





    $fecha_tramite = end($diashabiles);
    $fecha_pagar_nomina = date('Y-m-d',strtotime($hasta."+ 4 days"));

    //Consulto los festivos existentes
    $queryFestivos = "SELECT `fecha` FROM tab_feriado";
    $resultFestivos = mysql_query($queryFestivos);
    $arrayFestivos = [];

    //Construyo array con los festivos existentes
    while($datosFestivos = mysql_fetch_array($resultFestivos)){
        $datoFestivo = date('m-d',strtotime($datosFestivos['fecha']));
        $arrayFestivos[] = $datoFestivo;
    }

    //Verifico si la fecha a pagar es festivo
    for($iFes=0;$iFes < count($arrayFestivos);$iFes++){
        $verificar_festivo = date('m-d',strtotime($fecha_pagar_nomina));
        if($verificar_festivo == $arrayFestivos[$iFes]){
            $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."- 1 days"));
            $iFes=0;
        }
    }

    //Se le quita los guiones
    $fecha_pagar_nomina_array = explode("-",$fecha_pagar_nomina);

    //Unir todos los datos para imprimir
    $fecha_pagar_nomina = $fecha_pagar_nomina_array[0]."".$fecha_pagar_nomina_array[1]."".$fecha_pagar_nomina_array[2];

    //Define la semana de este periodo
    $semanainicio = $semanainicio -1;
    //-------------------------------------------------//




		$nombre_archivo = "nomina.txt"; //Nombre de archivo
    $file = fopen($nombre_archivo,"w+");
    //----------------------------HEADER--------------//
    fwrite($file,"HDRUNIOVECA       ED  95BPAYMULP"); // Constante
    fwrite($file,"\r\n"); //Nueva Linea
		fwrite($file,"01"); //Constante
		fwrite($file,"99999990"); //Constante - Tipo de nomina a pagar
		fwrite($file,$tipo_nomina_ford); //







    fwrite($file,$year);
    fwrite($file,$type);
    fwrite($file,"0");
    fwrite($file,$semanainicio);
    fwrite($file,"9");
    fwrite($file,"  ");
    fwrite($file,$dateNow);
    fwrite($file,"SALJ000148643");
    fwrite($file,"       FORD MOTOR VENEZUELA S.A.");
    fwrite($file,"\r\n"); //Nueva Linea
    fwrite($file,"02");
    fwrite($file,$fecha_pagar_nomina);
    fwrite($file,"0".$n);
    fwrite($file,$year);
    fwrite($file,$type);
    fwrite($file,"0");
    fwrite($file,$semanainicio);
    fwrite($file,"               ");
    $sumaMontoTotal = 0;
    foreach ($empleados as $c){
        //-----MONTO TIPO A
        $queryA = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'A' AND concepto != '5008' and concepto != '5009'";
        $resultadoA = mysql_query($queryA);

        while ( $sumatoriaA = mysql_fetch_array($resultadoA)) {
            $empleadoA = $sumatoriaA['monto'];
        }
        //-----MONTO TIPO D
        $queryD = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'D' AND concepto != '6000' and concepto != '6001'";
        $resultadoD = mysql_query($queryD);

        while ($sumatoriaD = mysql_fetch_array($resultadoD)) {
            $empleadoD = $sumatoriaD['monto'];
        }

        $montoEmpleado =  $empleadoA - $empleadoD;
        $montoEmpleado = number_format($montoEmpleado, 2);
        $montoEmpleado =  str_replace(',','',$montoEmpleado);
        $montoEmpleado =  str_replace('.','',$montoEmpleado);
        $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
    }
    $num_sumaMontoTotal = strlen($sumaMontoTotal);
    while($num_sumaMontoTotal<17){
        fwrite($file,"0");
        $num_sumaMontoTotal++;
    }
    fwrite($file,$sumaMontoTotal);
    fwrite($file,"VES");
    fwrite($file,"01340968419683001284               UNIOVECA");
    fwrite($file,"\r\n"); //Nueva Linea
    $sumaMontoTotal = 0;
    // ordenar por ultimmo
    //--------------------------------------------------//
    //-------------------------BODY----------------------//
    foreach ($empleados as $c) {
            fwrite($file,"03");
            fwrite($file,"9  ");

            //-----MONTO TIPO A
            $queryA = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'A' AND concepto != '5008' and concepto != '5009'";
            $resultadoA = mysql_query($queryA);

            while ( $sumatoriaA = mysql_fetch_array($resultadoA)) {
                $empleadoA = $sumatoriaA['monto'];
            }
            //-----MONTO TIPO D
            $queryD = "SELECT SUM(monto) as monto FROM `historico` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH' AND tipo = 'D' AND concepto != '6000' and concepto != '6001'";
            $resultadoD = mysql_query($queryD);

            while ($sumatoriaD = mysql_fetch_array($resultadoD)) {
                $empleadoD = $sumatoriaD['monto'];
            }

            $montoEmpleado =  $empleadoA - $empleadoD;
            $montoEmpleado = number_format($montoEmpleado, 2);
            $montoEmpleado =  str_replace(',','',$montoEmpleado);
            $montoEmpleado =  str_replace('.','',$montoEmpleado);
            $num_montoEmpleado = strlen($montoEmpleado);
            while($num_montoEmpleado<17){
                fwrite($file,"0");
                $num_montoEmpleado++;
            }
            fwrite($file,$montoEmpleado);
            fwrite($file,"VES01");
            fwrite($file,$n_alterno);
            $query3 = "SELECT * FROM `personal` WHERE codigo = '$c'";
            $resultado = mysql_query($query3);
            $datos_empleado = mysql_fetch_array($resultado);
            fwrite($file,substr($datos_empleado['global_id'],-4));
            fwrite($file,"          ");
            fwrite($file,"42    ");
            fwrite($file,$datos_empleado['cuenta']);
            fwrite($file,"               UNIOVECA         ");
            fwrite($file,$datos_empleado['nacionalidad']);
            fwrite($file,"00".$datos_empleado['codigo']);
            fwrite($file,"                                                                                                               ");
            if($datos_empleado['apellidos1'] == null){
                fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
            }else{
                fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['apellidos1']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
            }
            fwrite($file,"\r\n"); //Nueva Linea
            $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
        }

    //---------------------------------------------------//
    //-------------FOOTER--------------------------------//
    fwrite($file,"06");
    fwrite($file,"000000000000001");
    $num_cedulas = strlen(count($empleados));
    while($num_cedulas<15){
        fwrite($file,"0");
        $num_cedulas++;
    }
    fwrite($file,count($empleados));
    $num_sumaMontoTotal = strlen($sumaMontoTotal);
    while($num_sumaMontoTotal<17){
        fwrite($file,"0");
        $num_sumaMontoTotal++;
    }
    fwrite($file,$sumaMontoTotal);
    //---------------------------------------------------//
    fclose($file);


    echo "<style>
    .regristrado{
        color: green;
        margin-left: 7%;
        font-weight: bold;
    }
    </style>";
    echo "<p class='regristrado'>Archivo guardado correctamente<p>";

    echo "<script>
        window.location.href = 'generar_txt.php?fileBank=$nombre_archivo';
        </script>";


    }






















		else if($_POST['nomina'] == 'nomina_fideicomiso'){

        //-------------CREACIÓN DE EL ARCHIVO DE FIDEICOMISO/////////

        $tipo_nomina = "99999990";
        $fecha_tramite = end($diashabiles);
        $fecha_pagar_nomina = date('Y-m-d',strtotime($hasta."+ 4 days"));

        //Consulto los festivos existentes
        $queryFestivos = "SELECT `fecha` FROM tab_feriado";
        $resultFestivos = mysql_query($queryFestivos);
        $arrayFestivos = [];

        //Construyo array con los festivos existentes
        while($datosFestivos = mysql_fetch_array($resultFestivos)){
            $datoFestivo = date('m-d',strtotime($datosFestivos['fecha']));
            $arrayFestivos[] = $datoFestivo;
        }

        //Verifico si la fecha a pagar es festivo
        for($iFes=0;$iFes < count($arrayFestivos);$iFes++){
            $verificar_festivo = date('m-d',strtotime($fecha_pagar_nomina));
            if($verificar_festivo == $arrayFestivos[$iFes]){
                $fecha_pagar_nomina = date('Y-m-d',strtotime($fecha_pagar_nomina."- 1 days"));
                $iFes=0;
            }
        }

        //Se le quita los guiones
        $fecha_pagar_nomina_array = explode("-",$fecha_pagar_nomina);

        //Unir todos los datos para imprimir
        $fecha_pagar_nomina = $fecha_pagar_nomina_array[0]."".$fecha_pagar_nomina_array[1]."".$fecha_pagar_nomina_array[2];

        //Define la semana de este periodo
        $semanainicio = $semanainicio -1;
        //-------------------------------------------------//
        $nombre_archivo = "nomina.txt";
        $file = fopen($nombre_archivo,"w+");

        //----------------------------HEADER--------------//
        fwrite($file,"HDR");
        fwrite($file,"UNIOVECA       ED  95BPAYMULP");
        fwrite($file,"\n");
        fwrite($file,"01");
        fwrite($file,$tipo_nomina);
        fwrite($file,$n);
        fwrite($file,$year);
        fwrite($file,$type);
        fwrite($file,"0");
        fwrite($file,$semanainicio);
        fwrite($file,"9");
        fwrite($file,"  ");
        fwrite($file,$dateNow);
        fwrite($file,"APCJ000148643");
        fwrite($file,"       FORD MOTOR VENEZUELA S.A.");
        fwrite($file,"\n");
        fwrite($file,"02");
        fwrite($file,$fecha_pagar_nomina);
        fwrite($file,"0".$n);
        fwrite($file,$year);
        fwrite($file,$type);
        fwrite($file,"0");
        fwrite($file,$semanainicio);
        fwrite($file,"           6401");
        $sumaMontoTotal = 0;
        foreach ($cedulas as $c){
            //-----MONTO FIDICOMISO
            $queryF = "SELECT SUM(prestacion_monto) as monto FROM `prestaciones_fideicomiso` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH'";
            $resultadoF = mysql_query($queryF);

            while ( $sumatoriaF = mysql_fetch_array($resultadoF)) {
                $empleadoFideicomiso = $sumatoriaF['monto'];
            }

            $montoEmpleado =  $empleadoFideicomiso;
            $montoEmpleado = number_format($montoEmpleado, 2);
            $montoEmpleado =  str_replace(',','',$montoEmpleado);
            $montoEmpleado =  str_replace('.','',$montoEmpleado);
            $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
        }
        $num_sumaMontoTotal = strlen($sumaMontoTotal);
        while($num_sumaMontoTotal<17){
            fwrite($file,"0");
            $num_sumaMontoTotal++;
        }
        fwrite($file,$sumaMontoTotal);
        fwrite($file,"VES");
        fwrite($file,"01340968419683001284               UNIOVECA");
        fwrite($file,"\n");
        $sumaMontoTotal = 0;
        // ordenar por ultimmo
        //--------------------------------------------------//
        //-------------------------BODY----------------------//
        foreach ($cedulas as $c) {
                fwrite($file,"03");
                fwrite($file,"9  ");

                //-----MONTO FIDICOMISO
                $queryF = "SELECT SUM(prestacion_monto) as monto FROM `prestaciones_fideicomiso` WHERE `cedula` LIKE '$c' AND `periodo` LIKE '$periodoDH'";
                $resultadoF = mysql_query($queryF);

                while ( $sumatoriaF = mysql_fetch_array($resultadoF)) {
                    $empleadoFideicomiso = $sumatoriaF['monto'];
                }

                $montoEmpleado =  $empleadoFideicomiso;
                $montoEmpleado =  number_format($montoEmpleado, 2);
                $montoEmpleado =  str_replace(',','',$montoEmpleado);
                $montoEmpleado =  str_replace('.','',$montoEmpleado);
                $num_montoEmpleado = strlen($montoEmpleado);
                while($num_montoEmpleado<17){
                    fwrite($file,"0");
                    $num_montoEmpleado++;
                }
                fwrite($file,$montoEmpleado);
                fwrite($file,"VES01");
                fwrite($file,$n_alterno);
                $query3 = "SELECT * FROM `personal` WHERE codigo = '$c'";
                $resultado = mysql_query($query3);
                $datos_empleado = mysql_fetch_array($resultado);
                fwrite($file,substr($datos_empleado['global_id'],-4));
                fwrite($file,"       ");
                fwrite($file,"10442    ");
                fwrite($file,$datos_empleado['cuenta']);
                fwrite($file,"               UNIOVECA         ");
                fwrite($file,$datos_empleado['nacionalidad']);
                fwrite($file,"00".$datos_empleado['codigo']);
                fwrite($file,"                                                                                                               ");
                if($datos_empleado['apellidos1'] == null){
                    fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
                }else{
                    fwrite($file,$datos_empleado['apellidos']." ".$datos_empleado['apellidos1']." ".$datos_empleado['nombres']." ".$datos_empleado['nombres1']);
                }
                fwrite($file,"\n");
                $sumaMontoTotal = $sumaMontoTotal + $montoEmpleado;
            }

        //---------------------------------------------------//
        //-------------FOOTER--------------------------------//
        fwrite($file,"06");
        fwrite($file,"000000000000001");
        $num_cedulas = strlen(count($cedulas));
        while($num_cedulas<15){
            fwrite($file,"0");
            $num_cedulas++;
        }
        fwrite($file,count($cedulas));
        $num_sumaMontoTotal = strlen($sumaMontoTotal);
        while($num_sumaMontoTotal<17){
            fwrite($file,"0");
            $num_sumaMontoTotal++;
        }
        fwrite($file,$sumaMontoTotal);
        //---------------------------------------------------//
        fclose($file);


        echo "<style>
        .regristrado{
            color: green;
            margin-left: 7%;
            font-weight: bold;
        }
        </style>";
        echo "<p class='regristrado'>Archivo guardado correctamente<p>";

        echo "<script>
            window.location.href = 'generar_txt.php?fileBank=$nombre_archivo';
            </script>";
    }
}







?>
